Bug 32559 - EasyHack: Changing case of text made easy UI,FORMATTING
Summary: EasyHack: Changing case of text made easy UI,FORMATTING
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Bálint Dózsa
QA Contact:
URL:
Whiteboard:
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2010-12-21 10:08 UTC by Mårten
Modified: 2015-12-18 09:57 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mårten 2010-12-21 10:08:50 UTC
My mother is trying to use LibreOffice on her home computer. At work she has Word.

In Word you can press Shift+F3 with the cursor in anywhere in a word or have text selected. Word will then rotate through case changes to the text/word. When she's sattisfied she stops pressing Shift+F3.

In LibreOffice writer I can set Shift+F3 to be either Upper Case or Lower Case but not both at the same time, or just a simple Switch Case.

It would be really nice to have a Switch case that simply changes upper case to lower case, lower case to upper case.
Comment 1 Bálint Dózsa 2011-02-28 23:56:23 UTC
I'm taking this one.
Comment 2 Mårten 2011-03-01 03:57:01 UTC
Thank you for working on this.

I guess the rotation should be

Text
TEXT
text
Comment 3 Bálint Dózsa 2011-03-02 15:24:17 UTC
ok. Like in the MS Word
Comment 5 Jan Holesovsky 2011-05-13 01:21:36 UTC
Marking as fixed as per comment 4.  Great work, thank you for that!
Comment 6 Robinson Tryon (qubit) 2015-12-18 09:57:01 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]